Loading...
Searching...
No Matches
etl::chrono::hh_mm_ss< TDuration > Class Template Reference

hh_mm_ss More...

`#include <hh_mm_ss.h>`

## Public Types

using | precision
| The return type for to_duration.

## Public Member Functions

| ETL_STATIC_ASSERT ((etl::is_specialization< TDuration, etl::chrono::duration >::value), "TDuration is not a etl::chrono::duration type")
ETL_CONSTEXPR | hh_mm_ss () ETL_NOEXCEPT
| Default constructor.
ETL_CONSTEXPR14 | hh_mm_ss (TDuration d_) ETL_NOEXCEPT
| Construct from duration.
ETL_NODISCARD ETL_CONSTEXPR14 bool | is_negative () const ETL_NOEXCEPT
| Checks for negative duration.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::hours | hours () const ETL_NOEXCEPT
| Returns the hours.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::minutes | minutes () const ETL_NOEXCEPT
| Returns the minutes.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::seconds | seconds () const ETL_NOEXCEPT
| Returns the seconds.
ETL_NODISCARD ETL_CONSTEXPR14 precision | subseconds () const ETL_NOEXCEPT
| Returns the subseconds.
ETL_NODISCARD ETL_CONSTEXPR14 | operator precision () const ETL_NOEXCEPT
| Returns the duration.
ETL_NODISCARD ETL_CONSTEXPR14 precision | to_duration () const ETL_NOEXCEPT
| Returns the duration.

## Static Public Attributes

static constexpr int | fractional_width = calculate_fractional_width<TDuration>::value

## Detailed Description

template<typename TDuration>
class etl::chrono::hh_mm_ss< TDuration >

hh_mm_ss

## Member Typedef Documentation

## precision

template<typename TDuration>

using etl::chrono::hh_mm_ss< TDuration >::precision

Initial value:
etl::chrono::duration< common_type_t<typename TDuration::rep, etl::chrono::seconds::rep>,
ratio<1, etl::power<10, size_t(fractional_width)>::value>>
etl::chrono::duration
duration
Definition duration.h:108
etl::power
Definition power.h:62
etl::ratio
ratio
Definition ratio.h:52

The return type for to_duration.

The documentation for this class was generated from the following file:

- include/etl/private/chrono/hh_mm_ss.h